function CityRPGStatsList::onWake(%gui)
{
	CityRPGStatsList.clear();
	commandToServer('GetJobProfileList');
	commandToServer('GetStats');
	if($IAmAdmin > 0)
	{
		AdminBimage.setVisible(true);
		AdminButton.setVisible(true);
	}
	else
	{
		AdminBimage.setVisible(false);
		AdminButton.setVisible(false);
	}
	CityRPGStatsWindow.position = getWord(CityRPGStatus.getPosition(), 0) + 110 SPC getWord(CityRPGStatus.getPosition(), 1) + 60;
	if(getWord(CityRPGStatsWindow.getPosition(), 0) < 0)
		CityRPGStatsWindow.position = 0 SPC getWord(CityRPGStatsWindow.getPosition(), 1);
	if(getWord(CityRPGStatsWindow.getPosition(), 1) < 0)
		CityRPGStatsWindow.position = getWord(CityRPGStatsWindow.getPosition(), 0) SPC 0;
	
	return CityRPGStatsWindow.position;
}

function clientCmdSetStats(%money, %bank, %education, %student, %reincarnation, %exp, %income, %taxes, %demerits, %autodemerits, %record, %educost, %reincost)
{
	$money = "$" @ %money;
	$bank = "$" @ %bank;
	$education = %education;
	$student = %student;
	$reincarnation = %reincarnation;
	$exp = %exp;
	$income = "$" @ %income;
	$taxes = "$" @ %taxes;
	$demerits = %demerits;
	$autodemerits = %autodemerits;
	$record = %record;
	$educost = %educost;
	$reincost = %reincost;
	
	myMoney.setText($money);
	mybank.setText($bank);
	myeducation.setText($education);
	mystudent.setText($student);
	myreincarnation.setText($reincarnation);
	myexp.setText($exp);
	myincome.setText($income);
	mytaxes.setText($taxes);
	mydemerits.setText($demerits);
	myautodemerits.setText($autodemerits);
	myrecord.setText($record);
	educationcost.setText($educost);
	reincarnatecost.setText($reincost);
}

function clientCmdJobProfile(%name, %Money, %Education, %Exp, %pay)
{
	$name = %name;
	$money = %money;
	$education = %education;
	$exp = %exp;
	$pay = %pay;
	
	CityRPGStatsList.addRow(CityRPGStatsList.rowCount(), $name TAB $money TAB $education TAB $exp TAB $Pay);
}

function clientCmdUpdatelist()
{
	commandToServer('GetStats');
}

function CityRPGStats::JobInfo(%gui)
{
	%row = CityRPGStatsList.getSelectedID();
	
	if(%row >= 0)
	{
		%job = getField(CityRPGStatsList.getRowTextById(%row), 0);
	}
	
	commandToServer('JobInfo', %job);
}

function CityRPGStats::ApplyForJob(%gui)
{
	%row = CityRPGStatsList.getSelectedID();
	
	if(%row >= 0)
	{
		%job = getField(CityRPGStatsList.getRowTextById(%row), 0);
	}
	
	commandToServer('Job', %job);
}

function CityRPGStats::EducationAccept(%gui)
{
	%do = "accept";
	commandToServer('Education', %do);
}

function CityRPGStats::Reincarnate(%gui)
{
	%do = "accept";
	commandToServer('Reincarnate', %do);
}

function CityRPGStats::EducationInfo(%gui)
{
	commandToServer('Education');
}

function CityRPGStats::ReincarnateInfo(%gui)
{
	commandToServer('Reincarnate');
}